> ## Documentation Index
> Fetch the complete documentation index at: https://docs.makelocalads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an ad campaign

> Returns campaign progress and completed ad creatives.



## OpenAPI

````yaml /api/openapi.yaml get /campaigns/{campaign_id}
openapi: 3.1.0
info:
  title: LocalAds API
  version: 1.0.0
  description: Public API for LocalAds customer integrations.
servers:
  - url: https://makelocalads.com/api/v1
security:
  - apiKey: []
paths:
  /campaigns/{campaign_id}:
    parameters:
      - $ref: '#/components/parameters/CampaignId'
    get:
      summary: Retrieve an ad campaign
      description: Returns campaign progress and completed ad creatives.
      operationId: getCampaign
      responses:
        '200':
          description: Campaign found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Campaign'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    CampaignId:
      name: campaign_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    Campaign:
      type: object
      additionalProperties: false
      required:
        - id
        - brand_id
        - product_id
        - name
        - status
        - requested_creative_count
        - completed_creative_count
        - failed_creative_count
        - creatives
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        brand_id:
          type: string
          format: uuid
        product_id:
          type: string
          format: uuid
        name:
          type: string
        status:
          type: string
          enum:
            - queued
            - in_progress
            - completed
            - failed
            - canceled
        requested_creative_count:
          type: integer
        completed_creative_count:
          type: integer
        failed_creative_count:
          type: integer
        creatives:
          type: array
          items:
            $ref: '#/components/schemas/CampaignCreative'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    CampaignCreative:
      type: object
      additionalProperties: false
      required:
        - id
        - status
        - image_url
        - width
        - height
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - queued
            - in_progress
            - completed
            - failed
            - canceled
        image_url:
          type:
            - string
            - 'null'
          format: uri
        width:
          type:
            - integer
            - 'null'
        height:
          type:
            - integer
            - 'null'
    Problem:
      type: object
      required:
        - type
        - title
        - status
        - detail
        - code
        - request_id
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
  responses:
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    Forbidden:
      description: The API key lacks the required permission.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    NotFound:
      description: Resource not found.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    RateLimited:
      description: API key rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: lads_...

````